.service-modal-text {
  font-family: 'Poppins', sans-serif;
  font-size: 1rem;
  color: #666;
  margin-bottom: 20px;
  text-align: center;
}

.modal-button-container {
  text-align: center;
  margin-top: 20px;
}

#service-modal {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.5);
  justify-content: center;
  align-items: center;
}

#service-modal .modal-content {
  background: #fff;
  padding: 20px;
  border-radius: 10px;
  text-align: center;
  position: relative;
}

#service-modal .close {
  cursor: pointer;
  float: right;
  font-size: 1.5rem;
}

@media (max-width: 768px) {
  #service-modal .modal-content {
    width: 90%;
    padding: 15px;
  }

  .service-modal-text {
    font-size: 0.9rem;
  }
}